[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# FLock

Lock description type for fpFCntl lock call.

## Declaration

Source position: ostypes.inc line 154

`type FLock = record`
`l_type: cshort;` |  | Type of lock.
`l_whence: cshort;` |  | Where to measure start of lock from
`l_start: kernel_off_t;` |  | Start of lock
`l_len: kernel_off_t;` |  | Length of locked area
`l_pid: pid_t;` |  | Process ID of process holding the lock
`end;`

Documentation generated on: Feb 26 2014